Ruby - Bug #3394

spec/rubyspec/core/array/product_spec.rb SEGV
06/06/2010 09:09 AM - akr (Akira Tanaka)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: Backport:

Description

=begin
0000000000000 spec/rubyspec/core/array/product_spec.rb [
seagv 0000000

(RuBY_DEeBUG 0000000000 ruBy_pEBUG_ENV 000000000000)

% RUBY_DEBUG=gc_stress ./ruby spec/mspec/bin/mspec-run -f s
spec/rubyspec/core/array/product_spec.rb

Array#product

e returns converted arguments using :to_ary

¢ returns the expected result

¢ has no required argument

¢ returns an empty array when the argument is an empty array

Array#product when given a block

¢ yields all combinations in
turn/home/ruby/tcio/ruby/spec/rubyspec/core/array/product_spec.rb:31:
[BUG] Segmentation fault
ruby 1.9.3dev (2010-06-05 trunk 28178) [i686-linux]

-- control frame ----------

c:0038 p:---- s:0124 b:0124 1:000123 d:000123 CFUNC :product
c:0037 p:0021 s:0119 b:0119 1:0026fc d:000118 BLOCK
/home/ruby/tcio/ruby/spec/rubyspec/core/array/product_spec.rb:31
c:0036 p:---- s:0116 b:0116 1:000115 d:000115 FINISH

c:0035 p:---- s:0114 b:0114 1:000113 d:000113 CFUNC :instance_eval
c:0034 p:0017 s:0111 b:0111 1:000110 d:000110 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:68
c:0033 p:0021 s:0105 b:0105 1:000092 d:000104 BLOCK
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:179
¢:0032 p:---- s:0102 b:0102 1:000101 d:000101 FINISH

c:0031 p:---- s:0100 b:0100 1:000095 d:000099 IFUNC

¢:0030 p:---- s:0098 b:0098 1:000097 d:000097 CFUNC :each

c:0029 p:---- s:0096 b:0096 1:000095 d:000095 CFUNC :all?

¢:0028 p:0053 s:0093 b:0093 1:000092 d:000092 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:179
c:0027 p:0101 s:0087 b:0087 1:000076 d:000086 BLOCK
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:207
c:0026 p:---- s:0082 b:0082 1:000081 d:000081 FINISH

c:0025 p:---- s:0080 b:0080 1:000079 d:000079 CFUNC :each
c:0024 p:0127 s:0077 b:0077 1:000076 d:000076 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:199
¢:0023 p:0011 s:0074 b:0074 1:000065 d:000073 BLOCK
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:228
c:0022 p:---- s:0071 b:0071 1:000070 d:000070 FINISH

c:0021 p:---- s:0069 b:0069 1:000068 d:000068 CFUNC :each
¢:0020 p:0216 s:0066 b:0066 1:000065 d:000065 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:228
c:0019 p:0109 s:0063 b:0063 1:000062 d:000062 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:37
¢:0018 p:0029 s:0056 b:0056 1:000055 d:000055 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/object.rb:11
c:0017 p:0065 s:0049 b:0049 1:0026fc d:0026fc TOP
/home/ruby/tcio/ruby/spec/rubyspec/core/array/product_spec.rb:4
c:0016 p:---- s:0047 b:0047 1:000046 d:000046 FINISH

c:0015 p:---- s:0045 b:0045 1:000044 d:000044 CFUNC :load
c:0014 p:0018 s:0041 b:0041 1:002110 d:000040 BLOCK
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:56
c:0013 p:---- s:0039 b:0039 1:000038 d:000038 FINISH

c:0012 p:---- s:0037 b:0037 1:000036 d:000036 CFUNC :instance_eval
c:0011 p:0017 s:0034 b:0034 1:000033 d:000033 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:68
c:0010 p:0081 s:0028 b:0028 1:002110 d:001220 BLOCK
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:56
¢:0009 p:---- s:0025 b:0025 1:000024 d:000024 FINISH

¢:0008 p:---- s:0023 b:0023 1:000022 d:000022 CFUNC :each
¢:0007 p:0055 s:0020 b:0020 1:002110 d:002110 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:50
¢:0006 p:0023 s:0016 b:0016 1:000015 d:000015 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:42
¢:0005 p:0063 s:0013 b:0013 1:000012 d:000012 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/commands/mspec-run.rb:87
¢:0004 p:0098 s:0010 b:0010 1:000009 d:000009 METHOD
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/utils/script.rb:217
c:0003 p:0067 s:0006 b:0006 1:0007ec d:00122c EVAL spec/mspec/bin/mspec-run:8
¢:0002 p:---- s:0004 b:0004 1:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 1:0007ec d:0007ec TOP

-- Ruby level backtrace information
spec/mspec/bin/mspec-run:8:in <main>' /home/ruby/tcio/ruby/spec/mspec/lib/mspec/utils/script.rb:217:in main'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/commands/mspec-run.rb:87:in run’
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:42:in process'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:50:in files'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:50:in each'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:56:in block in files'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:68:in protect'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:68:in instance_eval'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:56:in block

(2 levels) in files'

/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:56:in load'
/home/ruby/tcio/ruby/spec/rubyspec/core/array/product_spec.rb:4:in <top (required)>'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/object.rb:11:in describe'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:37:in describe'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:228:in process'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:228:in each’
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:228:in

block in process' /home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:199:in process'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:199:in each’
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:207:in block in process'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:179:in protect’
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:179:in all?'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:179:in each’
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/context.rb:179:in block in protect'
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:68:in protect’
/home/ruby/tcio/ruby/spec/mspec/lib/mspec/runner/mspec.rb:68:in instance_eval'
/home/ruby/tcio/ruby/spec/rubyspec/core/array/product_spec.rb:31:in

block (4 levels) in <top (required)>' /home/ruby/icio/ruby/spec/rubyspec/core/array/product_spec.rb:31:in product’

-- C level backtrace information
J/ruby(rb_vm_bugreport+0x73) [0x8158622]
J/ruby [0x818d693]
J/ruby(rb_bug+0x36) [0x818d6ee]
/ruby [0x80eedd7]

[Oxb7f06410]
J/ruby(rb_ary_entry+0x4d) [0x8166daf]
J/ruby [0x8170c¢17]

J/ruby [0x814d731]

J/ruby [0x814d609]

J/ruby [0x814cbdd]

J/ruby [0x81487ca]

J/ruby [0x81559¢e9]

/ruby [0x81546¢f]

J/ruby [0x81544d8]

J/ruby [0x8152ab9]

J/ruby [0x8152¢c09]
J/ruby(rb_obj_instance_eval+0x51) [0x8152d77]
Jruby [0x814d731]

/ruby [0x814d609]

J/ruby [0x814cbdd]

J/ruby [0x81487ca]

/ruby [0x81559e9]

J/ruby [0x81546¢f]

J/ruby [0x815477d]

J/ruby [0x81519b5]
Jruby(rb_yield_values2+0x18) [0x8151a73]
/ruby [0x818777d]

/ruby [0x814564d]

J/ruby [0x8154722]

/ruby [0x815477d]

J/ruby [0x81519b5]
J/ruby(rb_yield+0x3a) [0x815198b]
Jruby(rb_ary_each+0x7c) [0x816857D]
Jruby [0x814d747]

/ruby [0x8150672]

J/ruby [0x8151744]

J/ruby [0x8151697]

J/ruby [0x8151e32]
J/ruby(rb_iterate+0xd4) [0x8151¢79]
J/ruby(rb_block_call+0x3f) [0x8151e77]
Jruby [0x8187814]

Jruby [0x814d747]

/ruby [0x814d609]

J/ruby [0x814cbdd]

J/ruby [0x81487ca]

./ruby [0x81559e9]

J/ruby [0x81546¢f]

J/ruby [0x815477d]
J/ruby [0x81519b5]
J/ruby(rb_yield+0x3a) [0x815198b]
J/ruby(rb_ary_each+0x7c) [0x816857b]
Jruby [0x814d747]

J/ruby [0x814d609]

J/ruby [0x814cbdd]

J/ruby [0x81487ca]

J/ruby [0x81559e9]

J/ruby [0x81546¢f]

J/ruby [0x815477d]

J/ruby [0x81519b5]
J/ruby(rb_yield+0x3a) [0x815198b]
Jruby(rb_ary_each+0x7c) [0x816857D]
J/ruby [0x814d747]

/ruby [0x814d609]

/ruby [0x814cbdd]

J/ruby [0x81487ca]

J/ruby [0x81559e9]
Jruby(rb_iseq_eval+0x2b) [0x8156189]
J/ruby [0x8191265]

J/ruby [0x819146a]

J/ruby [0x814d731]

/ruby [0x814d609]

/ruby [0x814cbdd]

J/ruby [0x81487ca]

J/ruby [0x81559e9]

J/ruby [0x81546¢f]

J/ruby [0x81544d8]

/ruby [0x8152ab9]

/ruby [0x8152c09]
Jruby(rb_obj_instance_eval+0x51) [0x8152d77]
J/ruby [0x814d731]

./ruby [0x814d609]

J/ruby [0x814cbdd]

J/ruby [0x81487ca]

J/ruby [0x81559e9]

J/ruby [0x81546ef]

J/ruby [0x815477d]

/ruby [0x81519b5]
/ruby(rb_yield+0x3a) [0x815198b]
J/ruby(rb_ary_each+0x7c) [0x816857b]
J/ruby [0x814d747]

J/ruby [0x814d609]

J/ruby [0x814cbdd]

J/ruby [0x81487ca]

J/ruby [0x81559e9]
J/ruby(rb_iseq_eval_main+0x2b) [0x81561¢c2]
/ruby [0x805edb8]
J/ruby(ruby_exec_node+0x1c) [0x805eec1]
J/ruby(ruby_run_node+0x3b) [0x805ee95]
J/ruby(main+0x74) [0x805d908]
/lib/i686/cmov/libc.so0.6(__libc_start_main+0xe5) [0xb7d26455]
/ruby [0x805d801]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

(00 03000 000)Tanaka Akira]

=end

History

#1 - 06/06/2010 10:47 AM - nobu (Nobuyoshi Nakada)
http://www.ruby-lang.org/bugreport.html

- Status changed from Open to Closed
- % Done changed from 0 to 100

=begin
This issue was solved with changeset r28184.
Akira, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
